- Home
- API Enriched
- Shape
- shape
- Download BotDetection Updates Release Notes.
Download BotDetection Updates Release Notes.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_detection_updates/download_release_notes';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_detection_updates/download_release_notes \ --header 'Authorization: <Authorization>'Downloadbotdetectionupdatesreleasenotes CustomAPI.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace is used to scope the query.
Query Parameters
Section titled “Query Parameters”X-required Unique identifier for a deployment.
Responses
Section titled “Responses”A successful response.
Response for download bot detection updates release notes.
object
Pre-Signed URL for the release notes PDF. The expiration of this URL is controlled by config.
Examplegenerated
{ "pre_signed_url": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example